require	'mxx_ru/cpp'

require 'oess_1/defs/version'

Oess_1::LibraryMode.instance.define_library( "oess_1/tlv/prj.rb" ) {

	required_prj( "oess_1/defs/prj.rb" )
	required_prj( "oess_1/io/prj.rb" )

	Oess_1::setup_platform( self )

	target( "oess_tlv" + Oess_1::VERSION )

	define( "OESS_1__TLV__PRJ" )

	cpp_source( "base.cpp" )
}
